# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Checkout changelog ## April 3rd, 2026 **API Release v1.8.2** **New** **New features for Checkout API** | Feature name | Description | | --- | --- | | [J.P. Morgan-managed SCA exemption](/docs/commerce/online-payments/capabilities/checkout/3ds-authentication#jp-morganmanaged-sca-exemption-valueadded-service) | Added changes for J.P. Morgan-managed exemption to intent and notification endpoints. | | [API specification](/api/commerce/online-payments/checkout/checkout) | API specification version 1.8.2 was released. | The following fields were added or updated in the API specification v1.8.2: **New fields added to the API specification** | Field name | Description | Endpoint | | --- | --- | --- | | paymentCardAuthenticationRequest.authenticationType | Added to the request. | POST /intent - [Set up checkout intent](/api/commerce/online-payments/checkout/checkout#/paths/checkout-intent/post) | | threeDomainSecureTransaction.authenticationType | Added to the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | | threeDomainSecureTransaction.threeDomainSecureExemption | Added to the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | | threeDomainSecureTransaction.authentication | Added to the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | | Updated a field name to address name drift and is not a breaking change. messageInfos.messageIdentifier → messageInfos.messageId | Updated in the request. | POST /notifications/ack - [Acknowledge notifications](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications-ack/post) | | Updated a field name to address name drift and is not a breaking change. ackFailedMessages.messageIdentifier → ackFailedMessages.messageId | Updated in the response. | POST /notifications/ack - [Acknowledge notifications](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications-ack/post) | | Updated a field name to address name drift and is not a breaking change. messageInfo.messageIdentifier → messageInfo.messageId | Updated in the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | | Updated a field name to address name drift and is not a breaking change. tokenNotification.tokenNumber → tokenNotification.token | Updated in the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | | Updated a field name to address name drift and is not a breaking change. tokenNotification.tokenCategoryCode → tokenNotification.tokenType | Updated in the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | ## February 12, 2026 **API Release v1.8.0** **New** **New features for Checkout API** | Feature name | Description | | --- | --- | | [Tokenization of payment data](/docs/commerce/online-payments/capabilities/checkout/tokenizationofpaymentdata) | Added support for payment instrument tokenization, replacing sensitive payment data with secure tokens. Enabled use of network tokens for transactions and safetech tokens for Primary Account Number (PAN) and bank account information. | | [API specification](/api/commerce/online-payments/checkout/checkout) | API specification version 1.8.0 was released. | The following fields were added in the API specification v1.8.0: **New fields added to the API specification** | Field name | Description | Endpoint | | --- | --- | --- | | paymentMethod.[applePay, googlePay, paze].electronicCommerceIndicator | Added to the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | | paymentMethod.[applePay, googlePay, paze].tokenAuthenticationValue | Added to the response. | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | ## March 5, 2025 **API Release v1.7.0** **New** **New features for Checkout API** | Feature name | Description | | --- | --- | | [Consumer profile management](/docs/commerce/online-payments/capabilities/checkout/consumer-profile-management) | Checkout enables you to create, store, update, and maintain consumer profiles, as well as payment card information with J.P. Morgan. | | [Fraud prevention](/docs/commerce/online-payments/capabilities/checkout/fraud-prevention) | New section for fraud setup options was added. | ## December 19, 2024 **API Release v1.7.0** **New** **New features for Checkout API** | Feature name | Description | | --- | --- | | [Segments](/docs/commerce/online-payments/capabilities/checkout/index) | Checkout offers the capability to configure multiple checkout instances for a merchant using Checkout Segments. Segments is a flexible, low-code feature that supports multiple fully customizable use cases. | | [Fraud prevention](/docs/commerce/online-payments/capabilities/checkout/fraud-prevention) | New fraud status types were added: - Approved - FRAUD_CHECK_STATUS_APPROVED - Declined - FRAUD_CHECK_STATUS_DECLINED - Unspecified - FRAUD_CHECK_STATUS_UNSPECIFIED | | [API specification](/api/commerce/online-payments/checkout/checkout) | API specification version 1.7.0 was released. | The following fields were added in the API specification v1.7.0: **New fields added to the API specification** | Field name | Description | Endpoint | | --- | --- | --- | | segmentId | New header for segments was added. | POST /intent - [Set up checkout intent](/api/commerce/online-payments/checkout/checkout#/paths/checkout-intent/post) | | messages.orderNotification.fraudCheckStatus | New enum values were added: - FRAUD_CHECK_STATUS_UNSPECIFIED - FRAUD_CHECK_STATUS_APPROVED - FRAUD_CHECK_STATUS_DECLINED | GET /notifications - [List all notifications for a given time period](/api/commerce/online-payments/checkout/checkout#/paths/checkout-notifications/get) | ## October 18, 2024 **API Release v1.6.1** **New** **New features for Checkout API** | Feature name | Description | | --- | --- | | [Level 2 and Level 3 data support](/docs/commerce/online-payments/capabilities/checkout/level2-and-level3) | Send level 2 and level 3 data to qualify for the lower interchange fees when your consumer uses a commercial, corporate, purchasing, or government card. | | [Soft merchant descriptors](/docs/commerce/online-payments/capabilities/checkout/soft-merchant-descriptors) | Soft merchant data fields allows you to provide additional merchant specific information for the consumer’s statement, which allows your consumers to identify their transactions and get information about the business that processed the charge. | | [Payment methods](/docs/commerce/online-payments/capabilities/checkout/payment-methods) | Added new supported payment methods: - iDeal - Trustly - PayPal - AliPay - WeChat Pay | | [API specification](/api/commerce/online-payments/checkout/checkout) | API specification version 1.6.1 was released. | The following fields were added in the API specification v1.6.1: **New fields added to the API specification** | Field name | Description | Endpoint | | --- | --- | --- | | checkoutOptions.authorization.paymentMethodOptions.acceptedPaymentMethodTypes | Added the following new valid values (enum): - PAYMENT_METHOD_TYPE_CODE_CARD - PAYMENT_METHOD_TYPE_CODE_ELECTRONIC_CHECK - PAYMENT_METHOD_TYPE_CODE_APPLE_PAY - PAYMENT_METHOD_TYPE_CODE_SEPA - PAYMENT_METHOD_TYPE_CODE_GOOGLE_PAY - PAYMENT_METHOD_TYPE_CODE_PAZE - PAYMENT_METHOD_TYPE_CODE_WECHAT_PAY - PAYMENT_METHOD_TYPE_CODE_IDEAL - PAYMENT_METHOD_TYPE_CODE_PAY_PAL - PAYMENT_METHOD_TYPE_CODE_ALI_PAY - PAYMENT_METHOD_TYPE_CODE_TRUSTLY | POST /intent - [Set up checkout intent](/api/commerce/online-payments/checkout/checkout#/paths/checkout-intent/post) | | checkoutOptions.authorizations.authorizationType | Added a new valid value for tokenization (enum): AUTH_METHOD_TOKENIZE_ONLY | POST /intent - [Set up checkout intent](/api/commerce/online-payments/checkout/checkout#/paths/checkout-intent/post) | | checkoutOptions.authorizations.softMerchant | Added to the request | POST /intent - [Set up checkout intent](/api/commerce/online-payments/checkout/checkout#/paths/checkout-intent/post) | | purchaseOrderNumber | | cart.taxAmount | | cart.totalFeeAmount | | cart.totalShippingAmount | | cart.shippingAddress | | cart.transactionDiscountAmount | | cart.taxes | | cart.totalTransactionAmount | | cart.cartMetadata | | cart.paymentNotes | | cart.lineItems.taxInclusiveLineItemTotalAmount | | cart.lineItems.transactionDiscountAmount | | cart.lineItems.discounts | | cart.lineItems.totalFeeAmount | | cart.lineItems.transactionCharges | | cart.lineItems.product | | cart.lineItems.totalShippingAmount | | cart.lineItems.shippingMethod | | cart.lineItems.totalTaxAmount | | cart.lineItems.taxeslineItemMetadata | ## August 21, 2024 **API Release v1.5.4** **Change** **Feature changes for Checkout API** | Feature name | Description | | --- | --- | | [Drop-In UI](/docs/commerce/online-payments/capabilities/checkout/drop-in-ui) | - Added the ability to mount and unmount the drop-in UI instance. - Added the Level - Command to the Event bus. - Added the following Message types to the Event bus: - PaymentValidationFailed - ExternalSubmitTriggered - UpdateIntentFailed | ## July 22, 2024 **API Release v1.5.4** **New** **New features for Checkout API** | Feature name | Description | | --- | --- | | [Fraud prevention](/docs/commerce/online-payments/capabilities/checkout/fraud-prevention) | Safetech fraud tools help you retain legitimate purchases while preventing fraudulent transactions by determining whether an accountholder is a fraud risk. Checkout comes bundled with Safetch fraud screening . | | [PAZE](/docs/commerce/online-payments/capabilities/checkout/index) | PAZE is now supported as a method of payment. | | [API specification](/api/commerce/online-payments/checkout/checkout) | API specification version 1.5.4 was released. | The following fields were added in the API specification v1.5.4: **New fields added to the API specification** | Field name | Description | Endpoint | | --- | --- | --- | | checkoutOptions.fraudCheckOptions.ignoreDeviceData | Added to the request | POST /intent - [Set up checkout intent](/api/commerce/online-payments/checkout/checkout#/paths/checkout-intent/post) | | checkoutOptions.fraudCheckOptions.consumerCreateTimestamp | **Change** **Feature changes for Checkout API** | Feature name | Description | | --- | --- | | [Pay by Link](/docs/commerce/online-payments/capabilities/checkout/pay-by-link) | Added the option to perform an Action on the Pay by Link dashboard. |